Bug 616818 - LIBEXEC not configured when EC2Enchanced feature is added
Summary: LIBEXEC not configured when EC2Enchanced feature is added
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-base-db   
(Show other bugs)
Version: Development
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Robert Rati
QA Contact: Luigi Toscano
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-21 13:32 UTC by Luigi Toscano
Modified: 2010-10-20 15:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 15:25:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Luigi Toscano 2010-07-21 13:32:06 UTC
Description of problem:
When EC2Enchanced is added to a node, activation of the configuration returns an error:
-----------------------------------
# condor_configure_pool --activate
The configuration is not valid
Node: rhel5ec2.vmmrg
Unsatisfied parameter dependencies:
  LIBEXEC

Configuration not activated
-----------------------------------

Version-Release number of selected component (if applicable):
ruby-wallaby-0.6.1-2.el5
wallaby-utils-0.6.1-2.el5
python-wallabyclient-3.0-1.el5
condor-wallaby-base-db-1.2-1.el5
condor-wallaby-client-3.0-1.el5
condor-wallaby-tools-3.0-1.el5
wallaby-0.6.1-2.el5

Expected results:
LIBEXEC should have a default value.

Comment 1 Robert Rati 2010-07-21 16:46:15 UTC
Removed LIBEXEC and the param deps from the db.  LIBEXEC is different on windows, so it can't be included in the db.

Fixed in:
condor-wallaby-base-db-1.2-2

Comment 2 Luigi Toscano 2010-10-20 15:25:36 UTC
LIBEXEC is no more a parameter, condor relies on the system-defined variable. After the addition of the EC2Enhanced feature is correctly executed.

Verified on RHEL 5.5, i386/x86_64, MRG 1.3:
condor-wallaby-base-db-1.4-5
condor-wallaby-client-3.6-6
condor-wallaby-tools-3.6-6
python-wallabyclient-3.6-6
ruby-wallaby-0.9.18-2
wallaby-0.9.18-2
wallaby-utils-0.9.18-2


Note You need to log in before you can comment on or make changes to this bug.